Subject: GNU Guix backend for PackageKit / Gnome-Software

From: Parnikkapore <[email-masked]>
Date: Thu, 29 Dec 2022 17:22:44 +0700

(I hope it's OK to bump! 🙂️)

I'm using KDE Neon. In Plasma Discover (which is a PackageKit
frontend), packages from both apt and Flatpak are shown, and you can
pick which way you want to install the package. You can also set a
default.

If a package isn't available on one package manager, that package
manager simply doesn't show up on the list, and pressing "Install" will
simply use another package manager that does have the package.

Flatpak is actually listed twice - once for installing system-wide and
once for installing for the current user only. Only the latter does not
require the equivalent of sudo-ing. So that should point towards a way
to get PackageKit to do non-root installs.

Unfortunately, I couldn't find a way to get pkcon to behave in a
similar way - it's mostly just an apt frontend here.